com.corticon.rulesemf.viewtestmodel.ruletest.tabfolder

## Interface TabfolderPackage.Literals

- Enclosing interface:
    TabfolderPackage

      public static interface TabfolderPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `TEST_TAB` The meta object literal for the '`Test Tab`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_TAB__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_TAB__VALID` The meta object literal for the 'Valid' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TEST_TAB_FOLDER` The meta object literal for the '`Test Tab Folder`' class
    `static org.eclipse.emf.ecore.EReference` | `TEST_TAB_FOLDER__RULE_TEST` The meta object literal for the 'Rule Test' reference feature
    `static org.eclipse.emf.ecore.EReference` | `TEST_TAB_FOLDER__TEST_TAB_LIST` The meta object literal for the 'Test Tab List' containment reference list feature

- - ### Field Detail

    - #### TEST_TAB_FOLDER

          static final org.eclipse.emf.ecore.EClass TEST_TAB_FOLDER

      The meta object literal for the '`Test Tab Folder`' class.
      See Also:
        `TestTabFolderImpl`, `TabfolderPackageImpl.getTestTabFolder()`

    - #### TEST_TAB_FOLDER__TEST_TAB_LIST

          static final org.eclipse.emf.ecore.EReference TEST_TAB_FOLDER__TEST_TAB_LIST

      The meta object literal for the 'Test Tab List' containment reference list feature.

    - #### TEST_TAB_FOLDER__RULE_TEST

          static final org.eclipse.emf.ecore.EReference TEST_TAB_FOLDER__RULE_TEST

      The meta object literal for the 'Rule Test' reference feature.

    - #### TEST_TAB

          static final org.eclipse.emf.ecore.EClass TEST_TAB

      The meta object literal for the '`Test Tab`' class.
      See Also:
        `TestTabImpl`, `TabfolderPackageImpl.getTestTab()`

    - #### TEST_TAB__NAME

          static final org.eclipse.emf.ecore.EAttribute TEST_TAB__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### TEST_TAB__VALID

          static final org.eclipse.emf.ecore.EAttribute TEST_TAB__VALID

      The meta object literal for the 'Valid' attribute feature.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.